diff --git a/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
index c76a33a92..12a195bf0 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
@@ -5,19 +5,19 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetEntityMotionPacket extends Packet
+public class PacketSetEntityMotion extends Packet
 {
 
-    public SetEntityMotionPacket()
+    public PacketSetEntityMotion()
     {
     }
 
-    public SetEntityMotionPacket(Entity entity)
+    public PacketSetEntityMotion(Entity entity)
     {
         this(entity.id, entity.xd, entity.yd, entity.zd);
     }
 
-    public SetEntityMotionPacket(int i, double d, double d1, double d2)
+    public PacketSetEntityMotion(int i, double d, double d1, double d2)
     {
         entityId = i;
         double d3 = 3.8999999999999999D;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
index 1497e5777..55c7e1a41 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetEquippedItemPacket extends Packet
+public class PacketSetEquippedItem extends Packet
 {
     public int entityID;
     public int slot;
@@ -15,11 +15,11 @@ public class SetEquippedItemPacket extends Packet
     public CompoundTag itemData;
 
 
-    public SetEquippedItemPacket()
+    public PacketSetEquippedItem()
     {
     }
 
-    public SetEquippedItemPacket(int entityID, int slot, ItemStack itemstack)
+    public PacketSetEquippedItem(int entityID, int slot, ItemStack itemstack)
     {
         this.entityID = entityID;
         this.slot = slot;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
index c26830d3b..c4a94a588 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
@@ -4,16 +4,16 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetHealthPacket extends Packet
+public class PacketSetHealth extends Packet
 {
     public int healthMP;
 
 
-    public SetHealthPacket()
+    public PacketSetHealth()
     {
     }
 
-    public SetHealthPacket(int i)
+    public PacketSetHealth(int i)
     {
         healthMP = i;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/SetHeldObjectPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/SetHeldObjectPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
index f65a465e3..f89168aa7 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetHeldObjectPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
@@ -9,14 +9,14 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class SetHeldObjectPacket extends Packet{
+public class PacketSetHeldObject extends Packet{
     public int entityID;
     public @Nullable CompoundTag objectTag;
-    public SetHeldObjectPacket() {
+    public PacketSetHeldObject() {
 
     }
 
-    public SetHeldObjectPacket(int entityID, @Nullable ICarriable object) {
+    public PacketSetHeldObject(int entityID, @Nullable ICarriable object) {
         this.entityID = entityID;
         if (object != null) {
             CompoundTag tag = new CompoundTag();
diff --git a/src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHotbarOffset.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHotbarOffset.java
index e67e7ca9c..55e218ceb 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHotbarOffset.java
@@ -6,16 +6,16 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class SetHotbarOffsetPacket extends Packet
+public class PacketSetHotbarOffset extends Packet
 {
     public int hotbarOffset;
 
-    public SetHotbarOffsetPacket(int hotbarOffset)
+    public PacketSetHotbarOffset(int hotbarOffset)
     {
         this.hotbarOffset = hotbarOffset;
     }
 
-    public SetHotbarOffsetPacket()
+    public PacketSetHotbarOffset()
     {
     }
 
diff --git a/src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
index b0b7a5870..1e872140b 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
@@ -6,12 +6,12 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class SetItemNamePacket extends Packet{
+public class PacketSetItemName extends Packet{
     public int slot;
     public String name;
-    public SetItemNamePacket() { }
+    public PacketSetItemName() { }
 
-    public SetItemNamePacket(int slot, String name)
+    public PacketSetItemName(int slot, String name)
     {
         this.slot = slot;
         this.name = name;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetMobSpawner.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetMobSpawner.java
index 4c4743fba..0f9784a70 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetMobSpawner.java
@@ -9,17 +9,17 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class SetMobSpawnerPacket extends Packet {
+public class PacketSetMobSpawner extends Packet {
     public int xPosition;
     public int yPosition;
     public int zPosition;
     public @Nullable Class<? extends Entity> entityClass;
 
-    public SetMobSpawnerPacket() {
+    public PacketSetMobSpawner() {
         isChunkDataPacket = true;
     }
 
-    public SetMobSpawnerPacket(int x, int y, int z, @Nullable Class<? extends Entity> entityClass) {
+    public PacketSetMobSpawner(int x, int y, int z, @Nullable Class<? extends Entity> entityClass) {
         isChunkDataPacket = true;
         this.xPosition = x;
         this.yPosition = y;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
index 90ac9ac75..603dc4028 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
@@ -7,16 +7,16 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class SetPaintingArtPacket
+public class PacketSetPaintingArt
     extends Packet
 {
     public int motive;
 
-    public SetPaintingArtPacket()
+    public PacketSetPaintingArt()
     {
     }
 
-    public SetPaintingArtPacket(ArtType art)
+    public PacketSetPaintingArt(ArtType art)
     {
         this.motive = ArtType.values.indexOf(art);
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
index 6532d88d0..d07180c54 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
@@ -5,21 +5,21 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetRidingPacket extends Packet
+public class PacketSetRiding extends Packet
 {
 
-    public SetRidingPacket()
+    public PacketSetRiding()
     {
     }
     
-    public SetRidingPacket(Entity passenger, Entity vehicle)
+    public PacketSetRiding(Entity passenger, Entity vehicle)
     {
         passengerId = passenger.id;
         vehicleId = vehicle == null ? -1 : vehicle.id;
         isTileEntity = false;
     }
 
-    public SetRidingPacket(Entity passenger, int x, int y, int z)
+    public PacketSetRiding(Entity passenger, int x, int y, int z)
     {
         passengerId = passenger.id;
         this.x = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
index 7cbe8008f..a1769feb8 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
@@ -4,18 +4,18 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetSpawnPositionPacket extends Packet
+public class PacketSetSpawnPosition extends Packet
 {
     public int x;
     public int y;
     public int z;
 
 
-    public SetSpawnPositionPacket()
+    public PacketSetSpawnPosition()
     {
     }
 
-    public SetSpawnPositionPacket(int x, int y, int z)
+    public PacketSetSpawnPosition(int x, int y, int z)
     {
         this.x = x;
         this.y = y;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/SetTimePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
index 772ef8920..a590a32e0 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
@@ -4,16 +4,16 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SetTimePacket extends Packet
+public class PacketSetTime extends Packet
 {
     public long time;
 
 
-    public SetTimePacket()
+    public PacketSetTime()
     {
     }
 
-    public SetTimePacket(long l)
+    public PacketSetTime(long l)
     {
         time = l;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
index 025e0ef73..667fec2e6 100644
--- a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
@@ -5,15 +5,15 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SignUpdatePacket extends Packet
+public class PacketSignUpdate extends Packet
 {
 
-    public SignUpdatePacket()
+    public PacketSignUpdate()
     {
         isChunkDataPacket = true;
     }
 
-    public SignUpdatePacket(int x, int y, int z, String[] lines, int picture, int color)
+    public PacketSignUpdate(int x, int y, int z, String[] lines, int picture, int color)
     {
         isChunkDataPacket = true;
         xPosition = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/SleepPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSleep.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/SleepPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSleep.java
index cd5486f41..30a740e4d 100644
--- a/src/main/java/net/minecraft/core/net/packet/SleepPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSleep.java
@@ -5,7 +5,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class SleepPacket extends Packet {
+public class PacketSleep extends Packet {
 
 	public int entityID;
 	public int x;
@@ -13,9 +13,9 @@ public class SleepPacket extends Packet {
 	public int z;
 	public int field_22046_e;
 
-	public SleepPacket() {}
+	public PacketSleep() {}
 
-	public SleepPacket(Entity entity, int i, int x, int y, int z) {
+	public PacketSleep(Entity entity, int i, int x, int y, int z) {
 		this.field_22046_e = i;
 		this.x = x;
 		this.y = y;
diff --git a/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketStatistic.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/StatisticPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketStatistic.java
index 0db1befd5..610653289 100644
--- a/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketStatistic.java
@@ -6,17 +6,17 @@ import net.minecraft.core.util.collection.NamespaceID;
 
 import java.io.*;
 
-public class StatisticPacket extends Packet
+public class PacketStatistic extends Packet
 {
     public NamespaceID statID;
     public int valueChange;
 
 
-    public StatisticPacket()
+    public PacketStatistic()
     {
     }
 
-    public StatisticPacket(NamespaceID statID, int change)
+    public PacketStatistic(NamespaceID statID, int change)
     {
         this.statID = statID;
         valueChange = change;
diff --git a/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
index 0d67e8722..7b3c4b0e9 100644
--- a/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
@@ -9,7 +9,7 @@ import java.util.Map.Entry;
 
 import net.minecraft.core.net.handler.PacketHandler;
 
-public class SyncIDsPacket extends Packet {
+public class PacketSyncIDs extends Packet {
 	public static final int MAX_ID_STRING_SIZE = 128;
 	public static final int DESTINATION_SOUND_IDS = 0;
 	public static final int DESTINATION_ENTITY_IDS = 1;
@@ -19,11 +19,11 @@ public class SyncIDsPacket extends Packet {
 	public int destinationId = -1;
 	public Map<Integer, String> mapping;
 
-	public SyncIDsPacket() {
+	public PacketSyncIDs() {
 
 	}
 
-	public SyncIDsPacket(int destinationId, Map<Integer, String> mapping) {
+	public PacketSyncIDs(int destinationId, Map<Integer, String> mapping) {
 		this.destinationId = destinationId;
 		this.mapping = mapping;
 	}
diff --git a/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
index a25a2d063..be25131d9 100644
--- a/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class TakeItemEntityPacket extends Packet
+public class PacketTakeItemEntity extends Packet
 {
 
-    public TakeItemEntityPacket()
+    public PacketTakeItemEntity()
     {
     }
     
-    public TakeItemEntityPacket(int i, int j)
+    public PacketTakeItemEntity(int i, int j)
     {
         collectedEntityId = i;
         collectorEntityId = j;
diff --git a/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
index 1f0f19112..2b0ba07ae 100644
--- a/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class TeleportEntityPacket extends Packet
+public class PacketTeleportEntity extends Packet
 {
     public int id;
     public int x;
@@ -15,11 +15,11 @@ public class TeleportEntityPacket extends Packet
     public byte yaw;
     public byte pitch;
 
-    public TeleportEntityPacket()
+    public PacketTeleportEntity()
     {
     }
 
-    public TeleportEntityPacket(Entity entity)
+    public PacketTeleportEntity(Entity entity)
     {
         id = entity.id;
         x = MathHelper.floor(entity.x * 32D);
@@ -29,7 +29,7 @@ public class TeleportEntityPacket extends Packet
         pitch = (byte)(int)((entity.xRot * 256F) / 360F);
     }
     
-    public TeleportEntityPacket(int id, int x, int y, int z, byte yaw, byte pitch)
+    public PacketTeleportEntity(int id, int x, int y, int z, byte yaw, byte pitch)
     {
         this.id = id;
         this.x = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdateCreativeInventory.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdateCreativeInventory.java
index 7079089e1..2b2745a7c 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdateCreativeInventory.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class UpdateCreativeInventoryPacket extends Packet
+public class PacketUpdateCreativeInventory extends Packet
 {
 
-    public UpdateCreativeInventoryPacket()
+    public PacketUpdateCreativeInventory()
     {
     }
 
-    public UpdateCreativeInventoryPacket(int windowId, int page, String searchText)
+    public PacketUpdateCreativeInventory(int windowId, int page, String searchText)
     {
         this.windowId = windowId;
         this.page = page;
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerProfile.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerProfile.java
index e79e77365..b5c348be6 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerProfile.java
@@ -7,14 +7,14 @@ import java.io.DataOutputStream;
 import java.io.IOException;
 import java.util.UUID;
 
-public class UpdatePlayerProfilePacket extends Packet
+public class PacketUpdatePlayerProfile extends Packet
 {
 
-    public UpdatePlayerProfilePacket()
+    public PacketUpdatePlayerProfile()
     {
     }
 
-    public UpdatePlayerProfilePacket(String username, String nickname, UUID uuid, int score, byte chatColor, boolean isOnline, boolean isOperator)
+    public PacketUpdatePlayerProfile(String username, String nickname, UUID uuid, int score, byte chatColor, boolean isOnline, boolean isOperator)
     {
         this.username = username;
         this.nickname = nickname;
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
index 25a295144..9d717edfc 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
@@ -4,18 +4,18 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class UpdatePlayerStatePacket extends Packet
+public class PacketUpdatePlayerState extends Packet
 {
     public static final int STATE_SNEAK = 1;
     public static final int STATE_UN_SNEAK = 2;
     public static final int STATE_LEAVE_BED = 3;
     public int state;
 
-    public UpdatePlayerStatePacket()
+    public PacketUpdatePlayerState()
     {
     }
 
-    public UpdatePlayerStatePacket(int state)
+    public PacketUpdatePlayerState(int state)
     {
         this.state = state;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseItem.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/packet/UseItemPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketUseItem.java
index ad69ea35d..432226682 100644
--- a/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseItem.java
@@ -8,7 +8,7 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Direction;
 
-public class UseItemPacket extends Packet
+public class PacketUseItem extends Packet
 {
 
     public int xPosition;
@@ -19,11 +19,11 @@ public class UseItemPacket extends Packet
     public double yPlaced;
     public ItemStack itemStack;
 
-    public UseItemPacket()
+    public PacketUseItem()
     {
     }
 
-    public UseItemPacket(int x, int y, int z, Direction direction, ItemStack itemstack, double xPlaced, double yPlaced)
+    public PacketUseItem(int x, int y, int z, Direction direction, ItemStack itemstack, double xPlaced, double yPlaced)
     {
         xPosition = x;
         yPosition = y;
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
index 2c61ba902..e1ff54c3a 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
@@ -7,7 +7,7 @@ import net.minecraft.core.util.helper.MathHelper;
 
 import java.io.*;
 
-public class WeatherEffectPacket extends Packet
+public class PacketWeatherEffect extends Packet
 {
     public static final int EFFECT_LIGHTNING = 1;
     public int id;
@@ -15,11 +15,11 @@ public class WeatherEffectPacket extends Packet
     public int y;
     public int z;
     public int effectId;
-    public WeatherEffectPacket()
+    public PacketWeatherEffect()
     {
     }
 
-    public WeatherEffectPacket(Entity entity)
+    public PacketWeatherEffect(Entity entity)
     {
         id = entity.id;
         x = MathHelper.floor(entity.x * 32D);
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherStatus.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherStatus.java
index bf43370db..22ac30d91 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherStatus.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class WeatherStatusPacket extends Packet
+public class PacketWeatherStatus extends Packet
 {
     public int dimId;
     public int id;
@@ -13,11 +13,11 @@ public class WeatherStatusPacket extends Packet
     public float intensity;
     public float power;
 
-    public WeatherStatusPacket()
+    public PacketWeatherStatus()
     {
     }
 
-    public WeatherStatusPacket(int dimId, int id, int newId, long duration, float intensity, float power)
+    public PacketWeatherStatus(int dimId, int id, int newId, long duration, float intensity, float power)
     {
     	this.dimId = dimId;
         this.id = id;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java b/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
similarity index 98%
rename from src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
rename to game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
index 84238f80d..04bb5881a 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
+++ b/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
@@ -5,6 +5,7 @@ import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.ListTag;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -157,9 +158,9 @@ public class ContainerInventory
         if (currentItemLocked()) return currentItem;
     	if (!flag) return currentItem;
     	
-    	if (itemstack.itemID < Block.blocksList.length)
+    	if (itemstack.itemID < Blocks.blocksList.length)
     	{
-    		if (Block.blocksList[itemstack.itemID].hasTag(BlockTags.NOT_IN_CREATIVE_MENU)) return currentItem;
+    		if (Blocks.blocksList[itemstack.itemID].hasTag(BlockTags.NOT_IN_CREATIVE_MENU)) return currentItem;
     	}
     	else
     	{
diff --git a/src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java b/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java
similarity index 90%
rename from src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java
rename to game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java
index 0aa4b84ee..da517e6ab 100644
--- a/src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java
+++ b/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuInventoryCreative.java
@@ -130,18 +130,18 @@ public class MenuInventoryCreative extends MenuInventory
 	{
 		int count = 0;
 		
-		for (int id = 0; id < Block.blocksList.length; id++)
+		for (int id = 0; id < Blocks.blocksList.length; id++)
 		{
-			if (Block.blocksList[id] != null && !Block.blocksList[id].hasTag(BlockTags.NOT_IN_CREATIVE_MENU))
+			if (Blocks.blocksList[id] != null && !Blocks.blocksList[id].hasTag(BlockTags.NOT_IN_CREATIVE_MENU))
 			{
-				creativeItems.add(new ItemStack(Block.blocksList[id]));
+				creativeItems.add(new ItemStack(Blocks.blocksList[id]));
 				count++;
 				
 				if (id == Blocks.WOOL.id || id == Blocks.PLANKS_OAK_PAINTED.id || id == Blocks.LAMP_IDLE.id || id == Blocks.FENCE_PLANKS_OAK_PAINTED.id)
 				{
 					for (int i = 1; i < 16; i++)
 					{
-						creativeItems.add(new ItemStack(Block.blocksList[id], 1, i));
+						creativeItems.add(new ItemStack(Blocks.blocksList[id], 1, i));
 						count++;
 					}
 				}
@@ -151,14 +151,14 @@ public class MenuInventoryCreative extends MenuInventory
 				{
 					for (int i = 0x10; i < 0x100; i += 0x10)
 					{
-						creativeItems.add(new ItemStack(Block.blocksList[id], 1, i));
+						creativeItems.add(new ItemStack(Blocks.blocksList[id], 1, i));
 						count++;
 					}
 				}
 			}
 		}
 		
-		for (int i = Block.blocksList.length; i < Item.itemsList.length; i++)
+		for (int i = Blocks.blocksList.length; i < Item.itemsList.length; i++)
 		{
 			if (Item.itemsList[i] != null && !Item.itemsList[i].hasTag(ItemTags.NOT_IN_CREATIVE_MENU))
 			{
diff --git a/src/main/java/net/minecraft/core/sound/SoundTypes.java b/game/core/src/main/java/net/minecraft/core/sound/SoundTypes.java
similarity index 95%
rename from src/main/java/net/minecraft/core/sound/SoundTypes.java
rename to game/core/src/main/java/net/minecraft/core/sound/SoundTypes.java
index e8a2e975f..fafaca869 100644
--- a/src/main/java/net/minecraft/core/sound/SoundTypes.java
+++ b/game/core/src/main/java/net/minecraft/core/sound/SoundTypes.java
@@ -5,7 +5,7 @@ import com.google.gson.JsonElement;
 import com.google.gson.JsonObject;
 import com.google.gson.JsonParseException;
 import com.google.gson.JsonParser;
-import net.minecraft.core.net.packet.SyncIDsPacket;
+import net.minecraft.core.net.packet.PacketSyncIDs;
 
 import java.io.InputStream;
 import java.util.HashMap;
@@ -44,7 +44,7 @@ public class SoundTypes {
 	}
 
 	public static boolean register(String soundPath) {
-		if(soundPath.length() > SyncIDsPacket.MAX_ID_STRING_SIZE) {
+		if(soundPath.length() > PacketSyncIDs.MAX_ID_STRING_SIZE) {
 			throw new RuntimeException("Sound Path is too long: '" + soundPath + "'!");
 		}
 		
